<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width,initial-scale=1">
		<title>HTML Attributes and Links</title>
	</head>

	<body>
		<!-- h2 tag is a heading tag larger than the normal font -->
		<h2 align = "center" id = "top">HTML Attributes</h2>

		<!-- align attribute - changes the alignment of the paragraph -->
		<p align = "center"><em>Modifiers of element behaviors.</em></p>

		<h2>HTML Images</h2>
		<!-- &lt and &gt are called HTML entities. They are used to include special characters into text. Some characters used in HTML areas part of the code. -->
		<p align="right"><em>An image can be shown using the &lt;img&gt; tag along with its <strong> src </strong> attribute. </em></p>

		<!-- img tag is used to inlcude images. img tag creates inline elements -->
		<!-- src attribute accepts url from an online resource. -->
		<img src="https://place-puppy.com/300x300">

		<p>
			<!-- code tag us used to define a piece of computer code and displays text in browser using it's default monospace font. -->
			<code>
				&lt;img src="https://place-puppy.com/300x300"&gt;
			</code>
		</p>

		<!-- in src attribute we used relative linking. -->
		<img src="./images/zuittlogo.png">

		<p>
			<!-- code tag us used to define a piece of computer code and displays text in browser using it's default monospace font. -->
			<code>
				&lt;img src="./images/zuittlogo.png"&gt;
			</code>
		</p>

		<p>Valid image extensions are the following</p>

		<!-- the type attribute changes the numbered points of the elements. The default type is int. (1, a, A, i, I) -->

		<!-- the reverse attribute reverses the order of the lsit. -->
		<ol type = "a" reversed>
			<li>png</li>
			<li>jpg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>
		</ol>

		<h2>HTML link</h2>
		<!-- a tag creates a hyperlink element when clicked will redirect toa different page. -->
		<!-- href attributes means 'hypertext reference' which is used to create a link to a different page. -->
		<!-- target = "_blank" - to open a new tab for absolute linking-->
		<h4>Absolute Linking</h4>
		<a href="https://zuitt/co/" target="_blank">I'm a hyperlink</a>

		<h4>Relative Linking</h4>
		<ul>
			<li>
				Hyperlink going to the <a href="./link.html">link.html</a>
			</li>

			<!--  -->
			<li>Hyperlink going to the <a href="./images/images.html">Images</a></li>

			<!--  -->
			<li>Go to <a href="#top">TOP</a></li>
		</ul>
	</body>

</html>